net.sourceforge.pmd.properties

## Class NonRuleWithAllPropertyTypes

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.lang.rule.AbstractRule
    - - net.sourceforge.pmd.lang.java.rule.AbstractJavaRule
      - - net.sourceforge.pmd.properties.NonRuleWithAllPropertyTypes

- All Implemented Interfaces:
    JavaParserVisitor, ImmutableLanguage, PropertySource, Rule

      public class NonRuleWithAllPropertyTypes
      extends AbstractJavaRule

  A non-functional rule containing all property types. Used for testing UIs. Steps required to use with Eclipse Plugin: update your chosen ruleset xml file to include this 'rule' compile new PMD jars copy both the pmd5.0.jar and pmd-test-5.0.jar to the eclipse-plugin/lib directory update the /manifest.mf file to ensure it includes the pmd-test-5.0.jar
  Author:
    Brian Remedios

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EnumeratedProperty<Class>` | `enumType`
    `static BooleanMultiProperty` | `multiBool`
    `static CharacterMultiProperty` | `multiChar`
    `static EnumeratedMultiProperty<Class>` | `multiEnumType`
    `static FloatMultiProperty` | `multiFloat`
    `static IntegerMultiProperty` | `multiInt`
    `static LongMultiProperty` | `multiLong`
    `static MethodMultiProperty` | `multiMethod`
    `static StringMultiProperty` | `multiStr`
    `static TypeMultiProperty` | `multiType`
    `static BooleanProperty` | `singleBool`
    `static CharacterProperty` | `singleChar`
    `static FloatProperty` | `singleFloat`
    `static IntegerProperty` | `singleInt`
    `static LongProperty` | `singleLong`
    `static MethodProperty` | `singleMethod`
    `static StringProperty` | `singleStr`
    `static TypeProperty` | `singleType`

    - ### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

      `propertyDescriptors, propertyValuesByDescriptor`

    - ### Fields inherited from interface net.sourceforge.pmd.Rule

      `VIOLATION_SUPPRESS_REGEX_DESCRIPTOR, VIOLATION_SUPPRESS_XPATH_DESCRIPTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonRuleWithAllPropertyTypes()`

  - ### Method Summary

    - ### Methods inherited from class net.sourceforge.pmd.lang.java.rule.AbstractJavaRule

      `apply, getDeclaringType, importsPackage, isQualifiedName, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visitAll`

    - ### Methods inherited from class net.sourceforge.pmd.lang.rule.AbstractRule

      `addExample, addRuleChainVisit, addRuleChainVisit, addViolation, addViolation, addViolation, addViolationWithMessage, addViolationWithMessage, addViolationWithMessage, deepCopyValuesTo, end, equals, getDescription, getExamples, getExternalInfoUrl, getLanguage, getMaximumLanguageVersion, getMessage, getMinimumLanguageVersion, getName, getParserOptions, getPriority, getRuleChainVisits, getRuleClass, getRuleSetName, getSince, hashCode, isDeprecated, setDeprecated, setDescription, setExternalInfoUrl, setLanguage, setMaximumLanguageVersion, setMessage, setMinimumLanguageVersion, setName, setPriority, setRuleClass, setRuleSetName, setSince, setUsesDFA, setUsesTypeResolution, start, usesDFA, usesRuleChain, usesTypeResolution`

    - ### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

      `copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.PropertySource

      `definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

- - ### Field Detail

    - #### singleStr

          public static final StringProperty singleStr

    - #### multiStr

          public static final StringMultiProperty multiStr

    - #### singleInt

          public static final IntegerProperty singleInt

    - #### multiInt

          public static final IntegerMultiProperty multiInt

    - #### singleLong

          public static final LongProperty singleLong

    - #### multiLong

          public static final LongMultiProperty multiLong

    - #### singleBool

          public static final BooleanProperty singleBool

    - #### multiBool

          public static final BooleanMultiProperty multiBool

    - #### singleChar

          public static final CharacterProperty singleChar

    - #### multiChar

          public static final CharacterMultiProperty multiChar

    - #### singleFloat

          public static final FloatProperty singleFloat

    - #### multiFloat

          public static final FloatMultiProperty multiFloat

    - #### singleType

          public static final TypeProperty singleType

    - #### multiType

          public static final TypeMultiProperty multiType

    - #### singleMethod

          public static final MethodProperty singleMethod

    - #### multiMethod

          public static final MethodMultiProperty multiMethod

    - #### enumType

          public static final EnumeratedProperty<Class> enumType

    - #### multiEnumType

          public static final EnumeratedMultiProperty<Class> multiEnumType

  - ### Constructor Detail

    - #### NonRuleWithAllPropertyTypes

          public NonRuleWithAllPropertyTypes()

Copyright © 2002-2013 InfoEther. All Rights Reserved.